package cn.usr.www.usrapirefcode.Activities;

import android.view.View;
import android.widget.Toast;

import com.usr.rkapi.MyManager;
import cn.usr.www.usrapirefcode.Activities.baseClass.UsrBaseActivity;
import cn.usr.www.usrapirefcode.R;


/*in1:
    scl3
* in2:
*   sda3
* out1:
*   int
* out2:
*   rst*/
public class GpioAboutExample extends UsrBaseActivity implements View.OnClickListener{

    private String TAG = "GpioAboutExample";

    private static boolean OUT1_SET_FALG = false;
    private static boolean OUT2_SET_FALG = false;

    private MyManager myManager = MyManager.getInstance(this);
    @Override
    protected void usrSetContentView() {

        setContentView(R.layout.gpio_about_example);

    }

    @Override
    protected void usrInitComponent() {

        findViewById(R.id.bt_get_int1_level).setOnClickListener(this);
        findViewById(R.id.bt_get_int2_level).setOnClickListener(this);
        findViewById(R.id.bt_set_out1_level).setOnClickListener(this);
        findViewById(R.id.bt_set_out2_level).setOnClickListener(this);
    }

    @Override
    protected void usrInitShowDatas() {

    }

    @Override
    public void onClick(View view) {
        switch (view.getId()) {
            case R.id.bt_get_int1_level: {
                Toast.makeText(this, "in1 value = " + myManager.getGPIOStatus("in1"), Toast.LENGTH_LONG).show();
                break;
            }
            case R.id.bt_get_int2_level: {
                Toast.makeText(this, "in2 value = " + myManager.getGPIOStatus("in2"), Toast.LENGTH_LONG).show();
                break;
            }
            case R.id.bt_set_out1_level: {

                setOut1Value();

                break;
            }
            case R.id.bt_set_out2_level: {

                setOut2Value();

                break;
            }
        }
    }


    private void setOut1Value(){

        if(OUT1_SET_FALG){
            myManager.setGPIOStatus("1", "out1" );
            Toast.makeText(this, "set out1 to HIGH level",Toast.LENGTH_LONG).show();
        }else {
            myManager.setGPIOStatus("0", "out1" );
            Toast.makeText(this, "set out1 to LOW level",Toast.LENGTH_LONG).show();
        }
        OUT1_SET_FALG = !OUT1_SET_FALG;
    }

    private void setOut2Value(){

        if(OUT2_SET_FALG){
            myManager.setGPIOStatus("1", "out2" );

            Toast.makeText(this, "set out2 to HIGH level",Toast.LENGTH_LONG).show();
        }else {
            myManager.setGPIOStatus("0", "out2" );
            Toast.makeText(this, "set out2 to LOW level",Toast.LENGTH_LONG).show();
        }
        OUT2_SET_FALG = !OUT2_SET_FALG;
    }
}

