package cn.usr.www.usrapirefcode.Activities;

import android.content.Intent;
import android.view.View;
import android.widget.Button;

import cn.usr.www.usrapirefcode.Activities.baseClass.UsrBaseActivity;
import cn.usr.www.usrapirefcode.R;

public class MainActivity extends UsrBaseActivity implements View.OnClickListener{
    private Button bt_external_store_example_activity;
    private Button bt_get_system_info_activity;
    private Button bt_install_update_activity;
    private Button bt_other_opr_example_activity;
    private Button bt_timer_example_activity;
    private Button bt_usrabout_displayer_activity;
    private Button bt_usrnetwork_about_activity;
    private Button bt_usrshutdown_reboot_activity;
    private Button bt_usr_serial_example_activity;
    private Button bt_usr_log_store_example_activity;
    private Button bt_usr_watch_dog_example_activity;
    @Override
    protected void usrSetContentView() {
        setContentView(R.layout.main_activity);
    }

    @Override
    protected void usrInitComponent() {
        bt_external_store_example_activity = (Button)findViewById(R.id.bt_external_store_example_activity);
        bt_get_system_info_activity = (Button)findViewById(R.id.bt_get_system_info_activity);
        bt_install_update_activity = (Button)findViewById(R.id.bt_install_update_activity);
        bt_other_opr_example_activity = (Button)findViewById(R.id.bt_other_opr_example_activity);
        bt_timer_example_activity = (Button)findViewById(R.id.bt_timer_example_activity);
        bt_usrabout_displayer_activity = (Button)findViewById(R.id.bt_usrabout_displayer_activity);
        bt_usrnetwork_about_activity = (Button)findViewById(R.id.bt_usrnetwork_about_activity);
        bt_usrshutdown_reboot_activity = (Button)findViewById(R.id.bt_usrshutdown_reboot_activity);
        bt_usr_serial_example_activity = (Button)findViewById(R.id.bt_usr_serial_example_activity);
        bt_usr_log_store_example_activity = (Button)findViewById(R.id.bt_usr_log_store_example_activity);
        bt_usr_watch_dog_example_activity = (Button)findViewById(R.id.bt_usr_watch_dog_example_activity);
        /*设置监听事件*/
        bt_external_store_example_activity.setOnClickListener(this);
        bt_get_system_info_activity.setOnClickListener(this);
        bt_install_update_activity.setOnClickListener(this);
        bt_other_opr_example_activity.setOnClickListener(this);
        bt_timer_example_activity.setOnClickListener(this);
        bt_usrabout_displayer_activity.setOnClickListener(this);
        bt_usrnetwork_about_activity.setOnClickListener(this);
        bt_usrshutdown_reboot_activity.setOnClickListener(this);
        bt_usr_serial_example_activity.setOnClickListener(this);
        bt_usr_log_store_example_activity.setOnClickListener(this);
        bt_usr_watch_dog_example_activity.setOnClickListener(this);
        findViewById(R.id.bt_gpio_about_example_activity).setOnClickListener(this);
    }

    @Override
    protected void usrInitShowDatas() {

    }

    @Override
    public void onClick(View view) {
        switch (view.getId()){

            case R.id.bt_external_store_example_activity:{
                Intent intent = new Intent(MainActivity.this, ExternalStoreExample.class);
                startActivity(intent);
                break;
            }
            case R.id.bt_get_system_info_activity:{
                Intent intent = new Intent(MainActivity.this, GetSystemInfoActivity.class);
                startActivity(intent);
                break;
            }
            case R.id.bt_install_update_activity:{
                Intent intent = new Intent(MainActivity.this, InstallUpdateExample.class);
                startActivity(intent);
                break;
            }
            case R.id.bt_other_opr_example_activity:{
                Intent intent = new Intent(MainActivity.this, OtherOprExample.class);
                startActivity(intent);
                break;
            }
            case R.id.bt_timer_example_activity:{
                Intent intent = new Intent(MainActivity.this, TimerExample.class);
                startActivity(intent);
                break;
            }
            case R.id.bt_usrabout_displayer_activity:{
                Intent intent = new Intent(MainActivity.this, UsrAboutDisplayer.class);
                startActivity(intent);
                break;
            }
            case R.id.bt_usrnetwork_about_activity:{
                Intent intent = new Intent(MainActivity.this, UsrNetWorkAbout.class);
                startActivity(intent);
                break;
            }
            case R.id.bt_usrshutdown_reboot_activity:{
                Intent intent = new Intent(MainActivity.this, UsrShutdownReboot.class);
                startActivity(intent);
                break;
            }
            case R.id.bt_usr_serial_example_activity:{
                Intent intent = new Intent(MainActivity.this, UsrSerialExample.class);
                startActivity(intent);
                break;
            }
            case R.id.bt_usr_log_store_example_activity:{
                Intent intent = new Intent(MainActivity.this, UsrLogStoreExample.class);
                startActivity(intent);
                break;
            }
            case R.id.bt_usr_watch_dog_example_activity:{
                Intent intent = new Intent(MainActivity.this, UsrWatchDogExample.class);
                startActivity(intent);
                break;
            }case R.id.bt_gpio_about_example_activity:{
                Intent intent = new Intent(MainActivity.this, GpioAboutExample.class);
                startActivity(intent);
                break;
            }

        }
    }
}
