package cn.usr.www.usrapirefcode.Activities;


import android.view.View;
import android.widget.AdapterView;
import android.widget.ArrayAdapter;
import android.widget.Spinner;

import com.usr.rkapi.MyManager;
import Utiles.UsrLog;
import cn.usr.www.usrapirefcode.Activities.baseClass.UsrBaseActivity;
import cn.usr.www.usrapirefcode.R;

public class UsrSerialExample extends UsrBaseActivity{
    private static final String TAG ="UsrSerialExample";
    private Spinner sp_serial_spot_list ;


    MyManager mMyManager = MyManager.getInstance(this);


    @Override
    protected void usrSetContentView() {
        setContentView(R.layout.usr_serial_example);
    }

    @Override
    protected void usrInitComponent() {
        sp_serial_spot_list = (Spinner)findViewById(R.id.sp_serial_spot_list);


        sp_serial_spot_list.setOnItemSelectedListener(new AdapterView.OnItemSelectedListener() {
            @Override
            public void onItemSelected(AdapterView<?> adapterView, View view, int i, long l) {
                int selectedItemPosition = adapterView.getSelectedItemPosition();
                int getFirstVisiblePosition = adapterView.getFirstVisiblePosition();
                UsrLog.LOGD(TAG, "selectedItemPosition = "+selectedItemPosition
                        +" getFirstVisiblePosition = "+getFirstVisiblePosition
                        + " i =  "+i
                        + " l =  "+ l);
            }

            @Override
            public void onNothingSelected(AdapterView<?> adapterView) {

            }
        });

    }

    @Override
    protected void usrInitShowDatas() {

        serialPortShow();
        String uart1 = mMyManager.getUartPath("TTYS1");
        UsrLog.LOGD(TAG, "uart1 path = "+uart1);
    }

    private void serialPortShow(){

        String[] serialPortList = new String[]{"/dev/ttyS1", "/dev/ttyS2", "/dev/ttyS3", "/dev/ttyS4", "/dev/ttyS5"};

        ArrayAdapter<String> adapter = new ArrayAdapter<String>(this, android.R.layout.simple_spinner_item, serialPortList);  //创建一个数组适配器
        adapter.setDropDownViewResource(android.R.layout.simple_spinner_dropdown_item);     //设置下拉列表框的下拉选项样式
        sp_serial_spot_list.setAdapter(adapter);
    }
}
