package cn.usr.www.usrapirefcode.Activities;

import android.os.Bundle;
import android.support.annotation.Nullable;
import android.support.v7.app.AppCompatActivity;

import android.widget.TextView;

import com.usr.rkapi.MyManager;


import Utiles.UsrLog;
import cn.usr.www.usrapirefcode.Activities.baseClass.UsrBaseActivity;
import cn.usr.www.usrapirefcode.R;

public class GetSystemInfoActivity extends UsrBaseActivity {
    private final String TAG = "GetSystemInfoActivity";

    private TextView tv_apiversion;
    private TextView  tv_android_modle;
    private TextView tv_android_version;
    private TextView  tv_running_memory;
    private TextView tv_internal_storage_memory;
    private TextView  tv_firmware_version;
    private TextView tv_kernel_version;
    private TextView  tv_android_display;
    private TextView tv_firmware_date;

    MyManager mMyManager = MyManager.getInstance(this);;


    @Override
    protected void usrSetContentView() {
        setContentView(R.layout.get_system_info_activity);
    }

    @Override
    protected void usrInitComponent() {

        tv_apiversion = (TextView) findViewById(R.id.tv_apiversion);
        tv_android_modle = (TextView) findViewById(R.id.tv_android_modle);
        tv_android_version = (TextView) findViewById(R.id.tv_android_version);
        tv_running_memory = (TextView) findViewById(R.id.tv_running_memory);
        tv_internal_storage_memory = (TextView) findViewById(R.id.tv_internal_storage_memory);
        tv_firmware_version = (TextView) findViewById(R.id.tv_firmware_version);
        tv_kernel_version = (TextView) findViewById(R.id.tv_kernel_version);
        tv_android_display = (TextView) findViewById(R.id.tv_android_display);
        tv_firmware_date = (TextView) findViewById(R.id.tv_firmware_date);

    }

    @Override
    protected void usrInitShowDatas() {
        String apiVersion = mMyManager.getApiVersion();
        String androidModle = mMyManager.getAndroidModle();
        String androidVersion = mMyManager.getAndroidVersion();
        String runningMemory = mMyManager.getRunningMemory();
        String internalStorageMemory = mMyManager.getInternalStorageMemory();
        String firmwareVersion = mMyManager.getFirmwareVersion();
        String kernelVersion = mMyManager.getKernelVersion();
        String androidDisplay = mMyManager.getAndroidDisplay();
        String firmwareDate = mMyManager.getFirmwareDate();

        if(apiVersion == null) apiVersion = "null";
        if(androidModle == null) androidModle = "null";
        if(androidVersion == null) androidVersion = "null";
        if(runningMemory == null) runningMemory = "null";
        if(internalStorageMemory == null) internalStorageMemory = "null";
        if(firmwareVersion == null) firmwareVersion = "null";
        if(kernelVersion == null) kernelVersion = "null";
        if(androidDisplay == null) androidDisplay = "null";
        if(firmwareDate == null) firmwareDate = "null";
        /*控件显示*/
        tv_apiversion.setText(apiVersion);
        tv_android_modle.setText(androidModle);
        tv_android_version.setText(androidVersion);
        tv_running_memory.setText(runningMemory);
        tv_internal_storage_memory.setText(internalStorageMemory);
        tv_firmware_version.setText(firmwareVersion);
        tv_kernel_version.setText(kernelVersion);
        tv_android_display.setText(androidDisplay);
        tv_firmware_date.setText(firmwareDate);

        /*
        apiVersion = V1.0-20171215
        androidModle = rk3288
        androidVersion = 22
        runningMemory = 2G
        internalStorageMemory = 8G
        firmwareVersion = 1.0
        kernelVersion = 3.10.0
        androidDisplay = rk3288_box-userdebug 5.1.1 LMY49F eng.edge.20180426.104757 test-keys
        firmwareDate = 20180426*/
        UsrLog.LOGD(TAG, "apiVersion = "+apiVersion);
        UsrLog.LOGD(TAG, "androidModle = "+androidModle);
        UsrLog.LOGD(TAG, "androidVersion = "+androidVersion);
        UsrLog.LOGD(TAG, "runningMemory = "+runningMemory);
        UsrLog.LOGD(TAG, "internalStorageMemory = "+internalStorageMemory);
        UsrLog.LOGD(TAG, "firmwareVersion = "+firmwareVersion);
        UsrLog.LOGD(TAG, "kernelVersion = "+kernelVersion);
        UsrLog.LOGD(TAG, "androidDisplay = "+androidDisplay);
        UsrLog.LOGD(TAG, "firmwareDate = "+firmwareDate);
    }

}
