package cn.usr.www.usrapirefcode.Activities;

import android.view.View;
import android.widget.Button;
import android.widget.EditText;
import android.widget.Toast;


import com.usr.rkapi.MyManager;



import Utiles.UsrLog;
import cn.usr.www.usrapirefcode.Activities.baseClass.UsrBaseActivity;
import cn.usr.www.usrapirefcode.R;


/*添加关机进入recovery 模式
* myManager.rebootRecovery
*
* */
public class InstallUpdateExample extends UsrBaseActivity implements View.OnClickListener{
    private final String TAG = "InstallUpdateExample";

    private Button bt_confirm_install;
    private EditText et_apk_file_absolute_path;
    /*myManager实例化对象*/
    MyManager myManager = MyManager.getInstance(this);

    @Override
    protected void usrSetContentView() {
        setContentView(R.layout.install_update_example_activity);
    }

    @Override
    protected void usrInitComponent() {
        bt_confirm_install = (Button)findViewById(R.id.bt_confirm_install);
        et_apk_file_absolute_path = (EditText)findViewById(R.id.et_apk_file_absolute_path);

        /*设置监听器*/
        bt_confirm_install.setOnClickListener(this);
    }

    @Override
    protected void usrInitShowDatas() {

    }


    @Override
    public void onClick(View view) {
        switch (view.getId()){

            case R.id.bt_confirm_install:{
                boolean silentInstallRes = silentInstallApk();
                UsrLog.LOGD(TAG, "silentInstallRes = "+silentInstallRes);

                if(silentInstallRes){
                    UsrLog.LOGD(TAG, "静默安装成功");
                    Toast.makeText(this, "安装成功", Toast.LENGTH_LONG).show();
                }else {
                    UsrLog.LOGE(TAG, "静默安装失败");
                    Toast.makeText(this, "静默安装失败", Toast.LENGTH_LONG).show();
                }
                break;
            }
            default:{
                UsrLog.LOGD(TAG, "default");
                break;
            }
        }
    }

    private boolean silentInstallApk(){
        String ApkPath = getApkPath();

        UsrLog.LOGD(TAG, "ApkPath = "+ApkPath);

        if(ApkPath  == null||ApkPath.equals("")){

            Toast.makeText(this, "ApkPath = "+ApkPath, Toast.LENGTH_LONG).show();
            return false;
        }

       return myManager.silentInstallApk(ApkPath);
    }

    private String getApkPath(){

        CharSequence hint = et_apk_file_absolute_path.getHint();

        if((hint == null)||hint.toString().equals("")){/*如果hint为空，则返回edit值*/

            return et_apk_file_absolute_path.getText().toString();

        }else{
            return hint.toString();
        }

    }

}
